Package org.eclipse.rdf4j.benchmark.jmh_generated

## Class QueryOrderBenchmark_selectDistinct_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.jmh_generated.QueryOrderBenchmark_selectDistinct_jmhTest

-     public final class QueryOrderBenchmark_selectDistinct_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryOrderBenchmark_selectDistinct_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `selectDistinct_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `selectDistinct_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)` |
    `static void` | `selectDistinct_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `selectDistinct_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `selectDistinct_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `selectDistinct_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `selectDistinct_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `selectDistinct_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryOrderBenchmark_selectDistinct_jmhTest

          public QueryOrderBenchmark_selectDistinct_jmhTest()

  - ### Method Detail

    - #### selectDistinct_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult selectDistinct_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                                       org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                throws Throwable

      Throws:
        `Throwable`

    - #### selectDistinct_thrpt_jmhStub

          public static void selectDistinct_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                          org.openjdk.jmh.results.RawResults result,
                                                          org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                          org.openjdk.jmh.infra.IterationParams iterationParams,
                                                          org.openjdk.jmh.infra.ThreadParams threadParams,
                                                          org.openjdk.jmh.infra.Blackhole blackhole,
                                                          org.openjdk.jmh.infra.Control notifyControl,
                                                          int startRndMask,
                                                          QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)
                                                   throws Throwable

      Throws:
        `Throwable`

    - #### selectDistinct_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult selectDistinct_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                        org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                 throws Throwable

      Throws:
        `Throwable`

    - #### selectDistinct_avgt_jmhStub

          public static void selectDistinct_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                         org.openjdk.jmh.results.RawResults result,
                                                         org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                         org.openjdk.jmh.infra.IterationParams iterationParams,
                                                         org.openjdk.jmh.infra.ThreadParams threadParams,
                                                         org.openjdk.jmh.infra.Blackhole blackhole,
                                                         org.openjdk.jmh.infra.Control notifyControl,
                                                         int startRndMask,
                                                         QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)
                                                  throws Throwable

      Throws:
        `Throwable`

    - #### selectDistinct_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult selectDistinct_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                       org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                throws Throwable

      Throws:
        `Throwable`

    - #### selectDistinct_sample_jmhStub

          public static void selectDistinct_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                           org.openjdk.jmh.results.RawResults result,
                                                           org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                           org.openjdk.jmh.infra.IterationParams iterationParams,
                                                           org.openjdk.jmh.infra.ThreadParams threadParams,
                                                           org.openjdk.jmh.infra.Blackhole blackhole,
                                                           org.openjdk.jmh.infra.Control notifyControl,
                                                           int startRndMask,
                                                           org.openjdk.jmh.util.SampleBuffer buffer,
                                                           int targetSamples,
                                                           long opsPerInv,
                                                           int batchSize,
                                                           QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)
                                                    throws Throwable

      Throws:
        `Throwable`

    - #### selectDistinct_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult selectDistinct_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                           org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                    throws Throwable

      Throws:
        `Throwable`

    - #### selectDistinct_ss_jmhStub

          public static void selectDistinct_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                       org.openjdk.jmh.results.RawResults result,
                                                       org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                       org.openjdk.jmh.infra.IterationParams iterationParams,
                                                       org.openjdk.jmh.infra.ThreadParams threadParams,
                                                       org.openjdk.jmh.infra.Blackhole blackhole,
                                                       org.openjdk.jmh.infra.Control notifyControl,
                                                       int startRndMask,
                                                       int batchSize,
                                                       QueryOrderBenchmark_jmhType l_queryorderbenchmark0_0)
                                                throws Throwable

      Throws:
        `Throwable`